Loading...
Searching...
No Matches
gr::filter::kernel Namespace Reference

## Classes

class | fft_filter_fff
| Fast FFT filter with float input, float output and float taps. More...
class | fft_filter_ccc
| Fast FFT filter with gr_complex input, gr_complex output and gr_complex taps. More...
class | fft_filter_ccf
| Fast FFT filter with gr_complex input, gr_complex output and float taps. More...
class | filterbank
| A filter bank with generic taps. More...
class | fir_filter
class | fir_filter_with_buffer_fff
| FIR with internal buffer for float input, float output and float taps. More...
class | fir_filter_with_buffer_ccc
| FIR with internal buffer for gr_complex input, gr_complex output and gr_complex taps. More...
class | fir_filter_with_buffer_ccf
| FIR with internal buffer for gr_complex input, gr_complex output and gr_complex taps. More...
class | iir_filter
| Base class template for Infinite Impulse Response filter (IIR). More...
class | pfb_arb_resampler_ccf
| Polyphase filterbank arbitrary resampler with gr_complex input, gr_complex output and float taps. More...
class | pfb_arb_resampler_ccc
class | pfb_arb_resampler_fff
| Polyphase filterbank arbitrary resampler with float input, float output and float taps. More...
class | polyphase_filterbank
| Polyphase filterbank parent class. More...

## Typedefs

typedef fir_filter< float, float, float > | fir_filter_fff
typedef fir_filter< gr_complex, gr_complex, float > | fir_filter_ccf
typedef fir_filter< float, gr_complex, gr_complex > | fir_filter_fcc
typedef fir_filter< gr_complex, gr_complex, gr_complex > | fir_filter_ccc
typedef fir_filter< std::int16_t, gr_complex, gr_complex > | fir_filter_scc
typedef fir_filter< float, std::int16_t, float > | fir_filter_fsf

## Typedef Documentation

## fir_filter_ccc

typedef fir_filter<gr_complex, gr_complex, gr_complex> gr::filter::kernel::fir_filter_ccc

## fir_filter_ccf

typedef fir_filter<gr_complex, gr_complex, float> gr::filter::kernel::fir_filter_ccf

## fir_filter_fcc

typedef fir_filter<float, gr_complex, gr_complex> gr::filter::kernel::fir_filter_fcc

## fir_filter_fff

typedef fir_filter<float, float, float> gr::filter::kernel::fir_filter_fff

## fir_filter_fsf

typedef fir_filter<float, std::int16_t, float> gr::filter::kernel::fir_filter_fsf

## fir_filter_scc

typedef fir_filter<std::int16_t, gr_complex, gr_complex> gr::filter::kernel::fir_filter_scc